2010-09-13  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* lib/Keitairc/Log.pm
	  log_die method を追加(Keitairc::Plugins から呼んでる箇所が
	  あったのだが、Keitairc::Log をオーバーホールした際になく
	  なっちゃってため)

2010-06-23  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* keitairc
	  Proc::Daemon がない場合は daemonize しないで動くように修正。
	  とりあえず、daemonize はできないがこれで Win32 環境とか
	  Proc::Daemonがそもそもどうにもできない環境でも動くようになったはず。
	* lib/Keitairc/Config.pm, keitairc
	  設定パラメータのチェックの追加(ticket: #18867)。
	  設定を吐き出すために Keitairc::Config::dump() メソッド追加。

2010-06-22  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/public/iscroll/iscroll.js
	  iOS4 対応(おそらくwebkit UI が一番まともにうごくのは iOS4)
	* lib/Keitairc/Log*
	  Sys::Syslog がない場合は syslog writer を使わないように修正したので、
	  Sys::Syslog がない場合でもとりあえず動く。

2010-06-18  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* keitairc, lib/Keitairc/*, doc/manual.html
	  - lib/Keitairc/Log* を書き直した。syslog, ファイル, stdioへの
	    書き出しに対応。

2010-06-11  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/public/iscroll/iscroll.js, data/public/webkit.{css,js}
	  - iscroll まわりの大規模修正。長押しの問題以外は修正済み(長押し
	    ダイアログに関しては、現状修正不能なのでエミュレーションする
	    などの対応が必要)

2010-06-04  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/public/iscroll/iscroll.js
	  - version 3.2.1 にあげた
	  - iPhone で iscroll でスクロールさせてるエリア中の a tag link
	    の長押しが効かなかったのを直すために iscroll.js を修正した

2010-06-04  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/public/iscroll/iscroll.js
	  - version 3.2.1 にあげた
	  - iPhone で iscroll でスクロールさせてるエリア中の a tag link
	    の長押しが効かなかったのを直すために iscroll.js を修正した

2010-05-29  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* lib/Keitairc/Config.pm
	  テンプレートなどのパスが古いままだったのを
	  調整(by takuo)

2010-05-28  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/public/webkit.css
	  スクロール部分の高さの調整

2010-05-27  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/public/apple-touch-icon.png
	  iPhone 向けのアイコン画像更新

2010-05-27  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/public/apple-touch-icon.png
	  iPhone 向けのアイコン画像更新

2010-05-26  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/public/webkit.{css,js}
	  Android 向けに画面の高さの調整

2010-05-23  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/template/*, lib/Keitairc/View.pm:
	  テンプレートのエンコーディングを UTF-8 に変更
	* keitairc, lib/Keitairc/*, data/plugins/*:
	  各種 irc_charset, web_charset のハンドリングを整理
	* lib/Keitairc/Config.pm:
	  irc_charset のディフォルトを UTF-8 に変更

2010-05-22  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* data/public/webkit.{js,css}:
	  - iPhoneで画面の縦横を切り替えたときにレイアウトが
	    おかしくなるのを修正(Ticket: #21827)
	  - toolbarの背景画像の読み込みをやめた
	  - scrollエリアの高さを調整して、要素が少ない場合でも
	    reload 操作ができるようにした
	  - iuiの背景画像を使っていたボタン部分を gradient で
	    書き直した(iuiの画像を使うのをやめた)
	  - iui/pinstripes.png を自前のものに置き換え
	* add data/public/right_arrow.png, webkit.{js,css}
	  data/public/iui/chevron.png を使うのをやめた

2010-05-20  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* lib/{public,template,plugins} -> data/,
	  MANIFEST, Makefile.PL:
	  lib 下から移動
	* add data/twg_iphone_toolbar_icons, MANIFEST
	  http://blog.twg.ca/2009/09/free-iphone-toolbar-icons/
	  から WebKit UI 用にアイコン画像を import
	* add data/jquery-1.4.2.min.js, MANIFEST
	  WebKit UI 用に jQuery 1.4.2 を import
	* add data/public/{iscroll.js,scrollbar.png}
	  WebKit UI 用に iscroll を import
	* new webkit templates and related CSS/js
	  新しい ajax ベースの WebKit UI 用のテンプレートと
	  css, js ファイルを import
	* replace ClientInfo::is_ipod() -> ClientInfo::is_webkit()
	  メソッドの名前が実体と異なっちゃってきてたので rename
	  (Ticket: #20391)
	* lib/Keitairc/ClientInfo.pm
	  Header に user-agent がないと warning 吐きまくりなのを
	  修正(Ticket: #21814)
	* data/public/apple-touch-icon.png, data/templates/webkit/{root,root_home}.html
	  暫定的に Web クリップ アイコンを追加してみた

2010-05-19  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* keitairc
	  2.0 Release

2010-05-19  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* doc/usage.html:
	  usageを大幅に加筆

2010-05-18  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* doc/screenshot/*:
	  各種スクリーンショットを追加

2010-04-26  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* doc/*:
	  リリースに向けてドキュメントまとめて大幅更新
	  あとはスクリーンショットとusageのところの加筆が必要

2010-04-26  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* keitairc: version 2.0rc1

2010-04-21  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* COPYING.iui:
	  消した... doc/iui/ 以下にあるじゃないか!(わら
	* doc/iui/*:
	  更新

2010-04-19  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* lib/plugins/00nick:
	  呼び出し元のチャネルに戻れるようにcidをレンダリング
	  パラメータに追加
	* lib/public/geopost-keitairc.js,
	  lib/templates/ipod-sjis/location_receiver.html:
	  汎用性を考慮しEvent の binding を 本体テンプレート側に
	  移動
	* lib/public/iui/chevron.png:
	  iui の trunk から画像を追加
	* COPYING.iui
	  adding for iui LICENSE/COPYRIGHT

2010-04-16  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* lib/public/geopost-keitarc.js
	  フォームの扱いを修正
	* lib/plugins/10url, lib/public/noreferrer-keitairc.js:
	  WebKit mobile phone 向け noreferrer ハンドリングが動いて
	  いなかったので修正

2010-04-11  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* keitairc, lib/keitairc/View.pm:
	  action_404() が http_status 200 を返すようになってたので、
	  ちゃんと 404 を返すように修正

2010-03-31  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* keitairc, lib/plugins/00index:
	  通常の発言バッファでのIRCコマンド入力を廃止('/' ではじまる語を
	  入力できるように修正)。議論の詳細は ticket: #21242 を参照。
	* doc/index.html:
	   - ircコマンドの入力機能に関して記述がなかったので追加
	   - Android 端末でも使えるよと追加してみた
	   - 位置情報機能に関して、iPhone用の機能に関する記述を追加

2010-01-26  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* lib/Keitairc/ClientInfo.pm, lib/Keitairc/View.pm,
	  lib/templates/ipod-sjis/all.html:
	  is_ipod_os3() detect code replaced by Geolocation detection
	  code on Javascript (don't show location post button
	  when navigator.location is not available on the browser)
	* lib/public/geopost-keitairc.js, lib/templates/ipod-sjis/location_receiver.html
	  Add Geolocation post menu on location post page (insted of link on
	  map info window) to fix can not post location on iPhone problem
	  (ticket: #19970).
	* keitairc: fix POE has_forked method detection

2010-01-22  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* lib/Keitairc/ClientInfo.pm:
	  is_ipod() detect ApplieWebkit Base Mobile
	  (e.g iPhone, iPod tocu, Android based mobile phones)

2009-11-07  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* keitairc, Makefile.PL, t/00_required_modules.t, doc/environment.html:
	  check 'POE have the has_forked method' before call it, so POE version
	  dependency is now not needed. POE version check and documentation
	  update.

2009-10-22  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>
	* Makefile.PL, t/00_required_modules.t, doc/environment.html:
	  Check/Describe POE version (require 1.007 or later)
	  (ticket: #19294)

2009-10-21  Makoto Matsushita  <matusita@jp.FreeBSD.org>
	* keitairc: call $poe_kernel->has_forked to tell POE::Kernel
	  keitairc now runs on a child process (ticket #19079).

2009-10-16  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>

	* Makefile.PL, lib/keitairc/Config.pm:
	  Update Makefile.PL install all files to correct directry
	  (ticket: #18886)
	  And Add make install_doc option for installing documents
	* MANIFEST: add missing files
	* doc/install.html: update to use Makefile.PL

2009-09-26  Makoto Matsushita  <matusita@jp.FreeBSD.org>

	* Makefile.PL: add perl module dependencies (#18886 b)),
	  those are listed in doc/environment.html (thanks to Jun Kuriyama)

2009-09-25  Jun Morimoto  <morimoto@mrmt.net>

	* keitairc: 2.0b12 リリース
	* lib/Keitairc/Config.pm: au_subscriber_id docomo_foma_icc
	docomo_imodeid softbank_serial_key emobile_useridを初期化 (ticket:
	#17917)
	* doc/manual.html: web_schema記述追加 (ticket: #18872)
	* doc/manual.html: refits -> finds (#18875)
	* lib/Keitairc/Config.pm: refits -> finds (#18875)
	* lib/plugins/00location_receiver: refits -> finds (#18875)

2009-09-24  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>

	* lib/Keitairc/Config.pm, lib/Keitairc/View.pm,
	  lib/templates/{default,ipod-sjis}/*:
	  web_charset を指定したときにちゃんと指定どおりになるように
	  ディフォルトのcharsetハンドリングルーチン、テンプレートの
	  エンコーディングの変換処理を追加。meta ヘッダのcharsetを
	  外部からセットできるようにテンプレートを更新(ticket: #18509)

2009-07-16  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>

	* lib/templates/ipod-sjis/index.html: add irc command input
	  form on iPhone/iPod tocuh UI (ticket: #14605)

2009-07-16  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>

	* lib/plugin/10url, lib/templates/ipod-sjis/{all,recent,topic}.html,
	  add lib/public/noreferrer-keitairc.js,
	  drop lib/templates/ipod-sjis/{url,url_session}.html:
	  外部リンクへのアクセスの際の referrer を消すようにしました。
	  javascript 使ってるので(さらに言うと、onTouchStartイベントとか
	  もひろってごにょごにょしてるので)、iPhone/iPod touch のみです。
	  referrerからセッションが漏れることもなくなったので新規セッション
	  作ってアクセスを選択するUIを出さないようにしてます。
	* lib/templates/ipod-sjis/*: update to use iuix.{js,css} instead of
	  iui.{js,css}

2009-07-15  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>

	* lib/Keitairc/ClientInfo.pm, doc/manual.html: add is_ipod_os3()
	  function to detect iPhone OS is 3.0 or above (and update
	  manual entry related it).
	* add lib/public/geopost-keitairc.js: Geopost support javascript
	  function for Geolocation API (e.g iPhone)
	* lib/public/iui/*: update iui to version 0.20
	* add lib/templates/ipod-sjis/location_receiver.html: location
	  information message post support template on iPhone.
	* lib/templates/ipod-sjis/{index,all}.html: update menu layout to
	  support location information message menu
	* lib/plugins/00all: is_ipod_os3 check param added to rendering
	  option
	* lib/plugins/32address: direct call google maps on iPhone to
	  use google map application smoothly.
	* lib/plugins/20phone: phone number link change to simple tel:
	  link on iPhone/iPod touch UI
	* drop lib/templates/ipod-sjis/{phone,mail,address}.html:
	  They are not used on iPhone/iPod touch UI

2009-07-12  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>

	* lib/templates/ipod-sjis/all.html: automaticaly focus to
	  message input form when new messages button clicked.
	* lib/plugins/*: plugin API update, add $request parameter
	  to message_replace_imprementation() method (ticket: #17752)
	* lib/plugins/20mail: mail address link change to simple mailto
	  link on iPod/iPhone UI (ticket: #17740)

2009-07-04  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>

	* lib/public-iui-keitairc.css: add -webkit-user-select: auto
	  to body to be able to cut & copy (ticket: #17581)
	* lib/public-iui-keitairc.css: 特にURLにそういう現象が多いが、英単
	  語的な区切りがない長い単語がはみ出して、横スクロールできる状態が
	  発生することがあるのに対処した(これがおきちゃうと、縦スクロール
	  させてるとふらふら左右にブレて非常に鬱陶しい)
	  li.message と li.messegenew に word-break: break-allを設定して無
	  理やり折り返すようにした(若干乱暴だけど)

2009-06-30  ISHIKAWA Mutsumi <ishikawa@hanzubon.jp>

	* lib/templates/ipod-sjis/all.html: fixed broken cancel button
	  (ticket: #14726)

2008-08-06  Jun Morimoto  <morimoto@mrmt.net>

	* lib/templates/default/{all,unread}.html: fixed stamp variable
	within html template (to avoid duplicate posting from some au
	browser phones)

2008-08-05  Jun Morimoto  <morimoto@mrmt.net>

	* lib/templates/default/{all,unread}.html: display action messages
	in light blue * t/*.t: added can_ok()

2008-08-03  Jun Morimoto  <morimoto@mrmt.net>

	* lib/plugins/00all: added follow_nick option
	* lib/plugins/00unread: added follow_nick option
	* lib/templates/all.html: added follow_nick option
	* lib/templates/unread.html: added follow_nick option
	* lib/Keitairc/IrcCallback.pm: added follow_nick option
	* t/02_Config.t: added follow_nick option
	* lib/Keitairc/Config.pm: added follow_nick option, fixed ARGV
	handling

	* lib/plugins/32address: Address matching plugin
	* lib/plugins/33distinct: Ad-hoc matching plugin for address that
	starts from Tokyo special wards, Tokyo cities
	* lib/plugins/30prefectures: switch to 32address
	* lib/plugins/31distinct: switch to 33distinct
	* lib/plugins/10url: URL::Escape::uri_escape()
	* lib/plugins/11url_session: URL::Escape::uri_escape()
	* added t/test_suites, Makefile.PL, MANIFEST

2008-08-02  Jun Morimoto  <morimoto@mrmt.net>

	* use FindBin
	* moved logging functions to Keitairc::Log package
	* make Keitairc::ClientInfo tidy

2008-07-19  Jun Morimoto  <morimoto@mrmt.net>

	* 静的なファイルを配信するため、置き場として lib/public,
	  そのパスを指定する Config->public_dir を追加。
	  とりあえず favicon.ico と robots.txt だけが置いてある。
	  これに伴い action_robots_txt は廃止

2008-07-18  Jun Morimoto  <morimoto@mrmt.net>

	* ごく短時間に同一内容の連続POSTがきた場合は無視.
	  au W63S (re) 対策. thanks to Takuo KITAME.

2008-06-29  Jun Morimoto  <morimoto@mrmt.net>

	* HTML 出力時の charset を一応 $cf->web_charset に切り分け
	* irc charset を一応 $cf->irc_charset に切り分け
	* use warnings 追加、undef 値のチェックを各所に追加
	* plugin にファイル名, 行番号情報を追加
	* ファイルの charset を utf8 に統一 (HTMLテンプレートは Shift_JIS のまま)
	* 内部 EUC-JP 処理を廃止

2008-06-25  Makoto Matsushita  <matusita@jp.FreeBSD.org>

	* keitairc, lib/Keitairc/IrcCallback.pm: 再接続時に 001 を受けとっ
	た時点で part していたのをしないようにする．

2008-05-12  Makoto Matsushita  <matusita@jp.FreeBSD.org>

	* keitairc, etc/dot.keitairc, lib/Keitairc/ClientInfo.pm,
	lib/Keitairc/Config.pm, lib/Keitairc/View.pm,
	lib/plugins/00location_receiver, lib/templates/location.html:
	emobile端末サポート．ユーザID(x-em-uid)によるユーザ認証，および位
	置情報送信(現時点ではH11Tのみ)に対応． Closes #12453.

2008-05-11  ISHIKAWA Mutsumi <ishikawa@debian.org>

	* keitairc
	00location_receiver が XML::Simple に依存してるので、そのNoteを
	追加

2008-05-10  Makoto Matsushita  <matusita@jp.FreeBSD.org>

	* etc/dot.keitairc, lib/Keitairc/Config.pm, lib/Keitairc/View.pm,
	lib/templates/404.html, lib/templates/address.html,
	lib/templates/all.html, lib/templates/index.html,
	lib/templates/location.html, lib/templates/location_receiver.html,
	lib/templates/login_icc.html, lib/templates/login_imodeid.html,
	lib/templates/mail.html, lib/templates/nick.html,
	lib/templates/phone.html, lib/templates/postme.html,
	lib/templates/recent.html, lib/templates/root.html,
	lib/templates/topic.html, lib/templates/unread.html,
	lib/templates/url.html, lib/templates/url_session.html: HTML表示の
	際，フォントサイズを設定ファイル内で指定できるようにする．
	Closes #12489.

2008-05-09  Makoto Matsushita  <matusita@jp.FreeBSD.org>

	* keitairc, lib/Keitairc/IrcCallback.pm, lib/plugins/00all,
	lib/plugins/00index, lib/plugins/00recent, lib/templates/404.html,
	lib/templates/address.html, lib/templates/all.html,
	lib/templates/index.html, lib/templates/location.html,
	lib/templates/location_receiver.html, lib/templates/mail.html,
	lib/templates/nick.html, lib/templates/phone.html,
	lib/templates/postme.html, lib/templates/recent.html
	lib/templates/root.html, lib/templates/topic.html,
	lib/templates/unread.html, lib/templates/url.html,
	lib/templates/url_session.html: HTML表示回りの修正いろいろ．
	- 携帯電話時にはフォントサイズを小さく
	- 使える場合には短縮したチャンネル名を使って表示
	- DoCoMo端末ならば前の方に端末固有ID認証を使う方法を先に表示
	- 携帯端末以外ならば入力バッファは広くとる
	- 未読一覧や更新のリンクを適宜追加
	* lib/plugins/00location_receiver: GPS等によって得られた緯度経度か
	ら，現在地の住所を調べた結果の文字列が文字化けしていた．
	Closes #12486.

2008-05-08  Makoto Matsushita  <matusita@jp.FreeBSD.org>

	* keitairc, lib/Keitairc/IrcCallback.pm: コマンド関連を追加．クラ
	イアントからIRCコマンド(のうちnick/join等限られたコマンド)を実行で
	きるようにする．また，part メッセージも対応 (thanks to Takahashi
	Yoshihiro)． Closes #12479.
	* etc/dot.keitairc, lib/Keitairc/Config.pm, lib/plugins/12keyword:
	指定したキーワードが発言された際，太字表示して発言があったことをわ
	かりやすくする (thanks to Takahashi Yoshihiro)． Closes #12482.
	* lib/templates/url.html: ドコモ端末のフルブラウザを使ってURLを開
	くことができるようにする (thanks to Takahashi Yoshihiro)．Closes
	#12480.
	* lib/Keitairc/IrcBuffer.pm, lib/plugins/00index: *console*バッファ
	が上にきても意味がないので一番下になるようにする．(thanks to
	Takahashi Yoshihiro)．

2008-05-03  Makoto Matsushita  <matusita@jp.FreeBSD.org>

	* etc/dot.keitairc, lib/Keitairc/Config.pm,
	lib/Keitairc/IrcCallback.pm: join/leaveメッセージをまとめて表示す
	るシステムメッセージ用(仮想)チャンネルを表示するためのオプションを
	追加 (thanks to Takahashi Yoshihiro)． Closes #12452.
	* lib/Keitairc/View.pm: keitaircにアクセスする際のURLがhttpプロト
	コル決め打ちになっているのをやめる．これにより，SSL経由でのアクセ
	スを行うようにしても期待した動作をするようになる
	(thanks to Takahashi Yoshihiro)． Closes #12447.

2008-05-02  Makoto Matsushita  <matusita@jp.FreeBSD.org>

	* keitairc, etc/dot.keitairc, lib/Keitairc/Config.pm,
	lib/templates/root.html: 認証時にiモードID対応しました．
	Closes #12448.
	* lib/Keitairc/IrcCallback.pm: (madokaに接続した場合など)topic一覧
	が乱れる場合があったので修正．Closes #12448.
	* keitairc, etc/dot.keitairc, lib/Keitairc/Config.pm,
	lib/plugins/00all, lib/plugins/00recent, lib/plugins/00unread: チャ
	ンネルの内容表示の際，正順に表示するためのオプションを追加
	(thanks to Takahashi Yoshihiro)． Closes #11019.
	* keitairc, etc/dot.keitairc, lib/Keitairc/Config.pm: daemonizeし
	た後のpidファイル名を変更するオプションを追加． Closes #12449.
	* etc/dot.keitairc, lib/Keitairc/Config.pm,
	lib/Keitairc/IrcCallback.pm: チャンネルに対するjoin/leaveメッセー
	ジを表示しないためのオプションを追加． Closes #11021.

2008-03-15  Jun Morimoto  <morimoto@mrmt.net>

	* lib/keitairc/plugins/00all, lib/keitairc/plugins/00index,
	lib/keitairc/plugins/00location,
	lib/keitairc/plugins/00location_receiver,
	lib/keitairc/plugins/00nick, lib/keitairc/plugins/00topic,
	lib/keitairc/plugins/00unread: escape HTML special chars, closes
	#12062

2008-02-29  Jun Morimoto  <morimoto@mrmt.net>

	* lib/Keitairc/Plugins.pm: プラグインファイルをevalしてエラーがでた
	ら ::log_die するようにした

2008-02-26  Jun Morimoto  <morimoto@mrmt.net>

	* keitairc 2.0b5:
	- 10チャネル以上のチャネルを扱えてませんでした (最近エンバグしてた。
	みっともない…)
	- チャネル名一覧のチャネルが文字化けしてた (最近エンバグしてた。みっ
	ともない…)
	- 住所っぽい文字列のリンクのマッチを多少改善しました。
	- さらに、住所っぽい文字列をクリックしたあと、 一段階かましてから
	Google Mapに飛ぶようにしました。 この時点で、住所っぽい文字列の編集
	も可能なので、 余計な文字列を手で削ってGoogle Mapに再度飛ぶことも可
	能です。 会話体も多いirc発言文字列から住所をばっちり抽出するのは か
	なりむずかしいので、最後のツメは手編集にまかせたほうがよかろうと 割
	り切りました。
	- ついでに、住所っぽい文字列を自分にメールする機能もつけました。
	(メールアドレス, URL, 電話番号などは、すでに自分へのメール機能がつ
	いてます)
	- たまにチャネル名の末尾に空白が入ってしまってる場合の扱いを改善し
	ました。
	- Softbank対応(具体的にはweb_rootオプション)復活
	- Softbank端末の端末シリアル認証対応
	- priv対応 (thanks to Makoto Matsushita)
	- GPS測位やiエリアなど現在位置を取得して発言。 movatwitterのパクり
	です ^^;
	- 各チャネルのnick一覧
	- 発言中のURLに飛ぶ際、リファラ逆探知をされないよう セッションを作
	り直してからリンクを出す機能を追加
	- 2.0系用の dot.keitairc も同梱
	- xchatカラー指定シーケンス対応
	- 各チャネルの最終発言からの経過時間を表示
	- 発言中の電話番号やメールアドレス、URLなどを自分にメール可能に
	- プラグイン、テンプレートのサーチパスを複数指定可能に
	- チャネルpartがおかしかったのを修正
	- 発言中に地名らしきものがあるとGoogle Mapにリンク (要改良)
	- /robots.txtをリクエストされたら返す
	- ライブラリ、テンプレート、プラグインなどファイルを分離しました。
	- 認証方法としてhttp basic authやめました。 パスワード認証後はオン
	メモリのセッションを保持して動きます。 web_usernameオプションはもう
	不要です。
	- web_passwordオプションは必須になりました。
	- NTT DoCoMo FOMA端末で、FOMAカード番号も認証に使えるようにしました。
	docomo_foma_iccオプションに iccXXXXXXXXXXXXXXXXXXXXXXXX といった
	icc文字列を指定します。 初回アクセスの際にFOMAカード番号の送信許可
	を求めてきます。
	- use_cookieオプションは廃止。DoCoMo端末以外では自動的にCookie使います。
	- use Unicode::Japaneseやめてuse Encodeにしました。
	- 発言中のURLは、クリックするとそれをどう処理するか選択可能にしまし
	た。 現在、直接アクセス、ポケットはてな経由、(livedoor)モバウザーβ
	経由、 PCサイトビューア経由、URLコピーを選べます。
	- 発言中の電話番号は、クリックするとそれをどう処理するか選択可能に
	しました。 現在、通常の電話、TV電話(NTT DoCoMo FOMA端末のみ), 電話
	番号コピーを選べます。
	- 発言中のメールアドレスは、クリックするとそれをどう処理するか選択
	可能にしました。 現在、メール機能起動、メールアドレスコピーを選べま
	す。
	- 全発言一覧、未読発言一覧、URL処理、電話番号処理、メール処理といっ
	た 処理場面(action)や、発言中のURL/電話番号/メールアドレスといった
	文字列を どう拾ってどう処理するか(regexp replacer)をプラグインとし
	て実装しました。 プラグインファイルの追加や変更で、これらの振る舞い
	を追加・変更できます。
	- CVS rcsidすなわちkeitaircのバージョン番号、とかモノグサはやめて、
	ちゃんとリリースマネージメント(もどき)するようにします。

2007-10-17  Jun Morimoto  <morimoto@mrmt.net>

	* keitairc 1.33: iPhone/iPod touch対応

2007-09-30  Jun Morimoto  <morimoto@mrmt.net>

	* keitairc 1.32: PCサイトビューアのリンクが出ていませんでした。

2007-09-27  Jun Morimoto  <morimoto@mrmt.net>

	* keitairc 1.31:

	ircサーバから切断された際に再接続するようにした

	Jcodeパッケージの利用をやめ、Unicode::Japaneseに切り替え

	daemon化して起動させるオプションを追加。Proc::Daemonを利用

	スラッシュで終わっているURLに正しくリンクするようにした

	一般ブラウザ向けURLに「ポケットはてな」を介してアクセスするリンクを
	付けるようにした

	Google Wireless Transcoderを介してアクセスするリンクは廃止した

	au携帯電話のEZ番号を複数設定できるようにした

	HTTP Cookieの生存秒数を設定できるようにした

	日本語を含んだチャネル名を持つチャネルの会話内容を表示している
	際の ページタイトルが化けていた(<title>の中だけiso-2022-jpのま
	まだった)のを修正しました。

	サイトグローバルな keitairc の設定ファイルである /etc/keitairc
	が無い場合、起動時にそれがないとのエラーメッセージを 表示してし
	まっていましたが、出さないようにしました。

	POE::Session, POE::Component::IRC の呼び出し方がもはや旧式になっ
	ていたようなので、 いまどきの方法? に修正しました。これにより、
	起動時の以下のメッセージが出なくなりました。
	Use of ->new() is deprecated, please use spawn()
	POE::Session->new() is deprecated. Please use create() instead.
	See http://www.nntp.perl.org/group/perl.poe/2613 for more information.

2006-08-03  Jun Morimoto  <morimoto@mrmt.net>

	* keitairc 1.30: Google Wireless Transcoder を介したリンクを追加
	au携帯の「PCサイトビューアー」を介したリンクを追加

2004-09-16  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.29: topic 一覧追加

2004-09-12  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.28: Cookie 対応

2004-09-07  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.27: 未読バッファの扱いがおかしかった

2004-09-04  Jun Morimoto  <morimoto@xantia.citroen.org>

	* kaitairc 1.26: まとめ読みから、日本語や大文字英文字の入ったチャ
	ネル名に移動して発言すると、他人も巻き込んでおかしくしてしまったの
	を修正。未読行数表示がおかしかったのを修正

2004-08-29  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.25: added <hr>
	* kaitairc 1.24: recent (全チャネルの未読をまとめ読み) 追加
	* ちょっとコードを掃除

2004-08-18  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc: チャネル名は小文字に正規化して内部処理に使う
	(thanks to Akira Yamada)

2004-07-30  ISHIKAWA Mutsumi <ishikawa@debian.org>

	* applied au_subscriber_id auth patch (thanks to Takuo KITAME)

2004-07-24  Jun Morimoto  <morimoto@xantia.citroen.org>

	* applied keitairc-action.patch (thanks to Akira Tagoh)
	* fixed html escaping

2004-06-08  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.20: madoka につないで使うと誰かが JOIN すると channel
	が増えたように見える現象を回避
	(thanks to 松井さん <matsui at iij-mc.co.jp>)

2004-04-08  Jun Morimoto  <morimoto@xantia.citroen.org>

	* チャネルリストの発言数表示がおかしいことがあった
	* foo@bar 形式を mailto リンクにしないようにした
	* https:// 形式もリンクにする
	* 誰かが channel から抜けたときのメッセージを書式変更
	* 誰かが channel に join してきたときにメッセージを追加

2004-03-25  ISHIKAWA Mutsumi  <ishikawa@debian.org>

	* keitairc 1.18: 引数として uri escape して渡した JIS のチャネル名
	を WAP ゲートウェイが勝手に unescape してしまうようで、xhtml端末の
	場合、日本語チャネルのハンドリングがおかしくなるので しょうがない
	ので いちいち uri_unescape() したものを uri_escape() するように :-<

2004-03-24  ISHIKAWA Mutsumi  <ishikawa@debian.org>

	* keitairc 1.17: 発言後のディフォルトの挙動をオリジナルの全発言表
	示に戻した。さらに 未読のみ表示したい場合用に show_newmsgonly
	オプションを新設

	* doc/default.css 1.1: mrmt.net から import

	* doc/index.html 1.3: sf.jp の web サーバが charset=euc-jp を想定
	しちゃってるので しょうがないので euc-jp に

	* doc/index.html 1.2: もろもろ微妙に修正

	* keitairc 1.16: 相対パスでのリンクがxhtml端末でうまく機能しないの
	で $docroot からの絶対パスに変更

	* keitairc 1.15: xhtml端末でのキャッシュ抑制

	* keitairc 1.14: </head>が抜けていたとこがあったので挿入

2004-03-21  Jun Morimoto  <morimoto@xantia.citroen.org>

	* imported from http://mrmt.net/src/keitairc/

2004-02-29  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.13: 細かい修正

2004-02-27  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.12: 他のユーザが channel を part したときに keitairc
	のチャネルリストからそのチャネルが消えてしまう件を修正。どのユーザ
	が抜けたかも表示。
	(thanks to Ichiro FUKUHARA <ichiro@ichiro.org>)

	* keitairc 1.11: 未読行数を示すリンクを新設(未読のみを読むことができる。
	(未読のみのページからアクセスキー [5] ですべてを表示)
	(thanks to Ichiro FUKUHARA <ichiro@ichiro.org>)

	* keitairc 1.9: 未読行数を表示。まだ発言のないチャネルに対しても発言可能に
	(thanks to Ichiro FUKUHARA <ichiro@ichiro.org>)

2004-01-07  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.8:
	10個め以降のチャネルへのリンクがおかしかった
	see http://tagoh.jp/d/?date=20040107#p02
	(thanks to Akira Tagoh)

2003-11-26  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.7: </head> を出力するのを忘れていました
	(thanks to ishikawa@netvillage.co.jp)

2003-06-01  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.6: チャネルを見ている状態のページタイトルがおかしかった
	ソース文字列を jis に決めうちして文字化け減少
	ProxyPass 用に web_root オプション追加
	i-mode 絵文字は使わないことにした

2003-05-12  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.5: keitairc からの発言内容が自分からは
	(keitairc からは) 文字化けしてみえることがあったのを修正

2003-05-09  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.4: join していたチャネルを part したときにプログラム
	が停止してしまっていたのを修正
	発言内容が新しいチャネルからリストアップするよう修正

2003-05-08  Jun Morimoto  <morimoto@xantia.citroen.org>

	* keitairc 1.3: 半角スペースが+に変換されていたのを修正
	* keitairc 1.1: 公開

